Skip to content
Navigation
POST/tags

Create a tag

Create a new tag

Request body

FieldTypeDescription
namerequiredstringPostTag name
colorstringPostTag color
isPublicbooleanWhether customers can see this tag on the public portal. False keeps the tag internal to your team.

Response

PostTag created

FieldTypeDescription
idrequiredstringTypeID - a type-prefixed UUID
namerequiredstring
colorrequiredstringHex color code
isPublicrequiredbooleanWhether customers can see this tag on the public portal. False keeps the tag internal to your team.
createdAtrequiredstringISO 8601 timestamp

Errors

400Validation error
401Unauthorized

Example request

curl \
  -X POST \
  "https://feedback.quackback.io/api/v1/tags" \
  -H "Authorization: Bearer qb_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Bug",
  "color": "#3b82f6",
  "isPublic": true
}'